org.eclipse.jface.viewers

## Class TreeViewerFocusCellManager

- java.lang.Object
- - org.eclipse.jface.viewers.TreeViewerFocusCellManager

    public class TreeViewerFocusCellManager
    extends Object

This class is responsible to provide the concept of cells for `Tree`. This concept is needed to provide features like editor activation with the keyboard

Since:
  3.3

### Constructor Summary

Constructors
Constructor and Description

`TreeViewerFocusCellManager(TreeViewer viewer, FocusCellHighlighter focusDrawingDelegate)`
Create a new manager using a default navigation strategy: `SWT.ARROW_UP`: navigate to cell above `SWT.ARROW_DOWN`: navigate to cell below `SWT.ARROW_RIGHT`: on first column (collapses if item is expanded) else navigate to next visible cell on the right `SWT.ARROW_LEFT`: on first column (expands if item is collapsed) else navigate to next visible cell on the left

`TreeViewerFocusCellManager(TreeViewer viewer, FocusCellHighlighter focusDrawingDelegate, CellNavigationStrategy navigationStrategy)` Create a new manager with a custom navigation strategy

### Method Summary

All Methods Instance Methods Concrete Methods
`ViewerCell` `getFocusCell()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TreeViewerFocusCellManager

    public TreeViewerFocusCellManager(TreeViewer viewer,
                                      FocusCellHighlighter focusDrawingDelegate)

Create a new manager using a default navigation strategy:

- `SWT.ARROW_UP`: navigate to cell above
- `SWT.ARROW_DOWN`: navigate to cell below
- `SWT.ARROW_RIGHT`: on first column (collapses if item is expanded) else navigate to next visible cell on the right
- `SWT.ARROW_LEFT`: on first column (expands if item is collapsed) else navigate to next visible cell on the left

Parameters:
  `viewer` - the viewer the manager is bound to
  `focusDrawingDelegate` - the delegate responsible to highlight selected cell

#### TreeViewerFocusCellManager

    public TreeViewerFocusCellManager(TreeViewer viewer,
                                      FocusCellHighlighter focusDrawingDelegate,
                                      CellNavigationStrategy navigationStrategy)

Create a new manager with a custom navigation strategy

Parameters:
  `viewer` - the viewer the manager is bound to
  `focusDrawingDelegate` - the delegate responsible to highlight selected cell
  `navigationStrategy` - the strategy used to navigate the cells
Since:
  3.4

### Method Detail

#### getFocusCell

    public ViewerCell getFocusCell()

Returns:
  the cell with the focus